WordPress.org

Support

Support » Plugins and Hacks » [Plugin: WP-Syntax] geshi.php broken line 1947. Upgrade it or fix it

[Plugin: WP-Syntax] geshi.php broken line 1947. Upgrade it or fix it

  • Hey. To put things simple. geshi.php is broken on line 1947. There’s a newer version out there, so I suggest you upgrade, since it’s probably fixed in the newer version.

    This can also be fixed by adding a simple if-statement like this:

    if (isset($_SERVER['HTTP_'  . GESHI_NUMBER_BIN_PREFIX_0B])) {
                $geshi_number_prefix = $_SERVER['HTTP_'  . GESHI_NUMBER_BIN_PREFIX_0B];
                if (isset($geshi_number_prefix)) {
                    assert($geshi_number_prefix);
                    $this->language_data['NUMBERS'] = $geshi_number_prefix;
                }
            }

    http://wordpress.org/extend/plugins/wp-syntax/

  • The topic ‘[Plugin: WP-Syntax] geshi.php broken line 1947. Upgrade it or fix it’ is closed to new replies.